%define real_version v18_1

Summary: Free, cross platform, open-source, audio I/O library
Name: portaudio
Version: 18.1
Release: 0.%{mysig}

License: BSD-like
Group: System Environment/Libraries
URL: http://www.portaudio.com/
Source: http://www.portaudio.com/archives/portaudio_%{real_version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides: %{name}-devel = %{version}-%{release}

%description
PortAudio is a portable audio I/O library designed for cross-platform
support of audio. It uses a callback mechanism to request audio processing.
Audio can be generated in various formats, including 32 bit floating point,
and will be converted to the native format internally.


%prep
%setup -n %{name}_%{real_version}
%{__perl} -pi.orig -e 's|^(LIBINST) = /usr/local/lib|$1 = %{_libdir}|' \
    Makefile.linux


%build
%{__make} %{?_smp_mflags} -f Makefile.linux sharedlib \
    CFLAGS="%{optflags} -fPIC"


%install
%{__rm} -rf %{buildroot}
%{__install} -D -m0755 pa_unix_oss/libportaudio.so \
    %{buildroot}%{_libdir}/libportaudio.so
%{__install} -D -m0644 pa_common/portaudio.h \
    %{buildroot}%{_includedir}/portaudio.h


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc LICENSE.txt README.txt docs/
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 18.1-0.ker.rhel4
- rebuild for RHEL4 (package from FC4 Extras)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 18.1-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 18.1-3
- Bump release to provide Extras upgrade path.

* Fri Nov  5 2004 Matthias Saou <http://freshrpms.net/> 18.1-2
- Add -devel provides.
- Fix .so 644 mode (overidden in defattr).

* Thu Jun 10 2004 Dag Wieers <dag@wieers.com> - 18.1-1
- Added -fPIC for x86_64.

* Sat Sep 13 2003 Dag Wieers <dag@wieers.com> - 18.1-0
- Initial package. (using DAR)

